import 'package:get/get.dart';

///新增或编辑病人对话框状态
class AddoreditPatientDialogState {
  final Rx<String> _groupValue = Rx('');
  final Rx<bool> _isEditStatus = Rx(false);
  final Rx<bool> _isMale = Rx(false);

  /// 是否雄性
  bool get isMale => _isMale.value;
  set isMale(bool val) => _isMale.value = val;

  /// 单选男女
  set groupValue(value) => _groupValue.value = value;
  get groupValue => _groupValue.value;

  /// 是否编辑状态
  set isEditStatus(value) => _isEditStatus.value = value;
  get isEditStatus => _isEditStatus.value;
}
